<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>mxGraphAbstractHierarchyCell (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="mxGraphAbstractHierarchyCell (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":6,"i1":6,"i2":6,"i3":10,"i4":6,"i5":6,"i6":6,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxGraphAbstractHierarchyCell.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">import hk.quantr.mxgraph.layout.hierarchical.model</a></div>
<h2 title="Class mxGraphAbstractHierarchyCell" class="title">Class mxGraphAbstractHierarchyCell</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>import hk.quantr.mxgraph.layout.hierarchical.model.mxGraphAbstractHierarchyCell</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><code><a href="mxGraphHierarchyEdge.html" title="class in import hk.quantr.mxgraph.layout.hierarchical.model">mxGraphHierarchyEdge</a></code>, <code><a href="mxGraphHierarchyNode.html" title="class in import hk.quantr.mxgraph.layout.hierarchical.model">mxGraphHierarchyNode</a></code></dd>
</dl>
<hr>
<pre>public abstract class <span class="typeNameLabel">mxGraphAbstractHierarchyCell</span>
extends java.lang.Object</pre>
<div class="block">An abstraction of an internal hierarchy node or edge</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#height">height</a></span></code></th>
<td class="colLast">
<div class="block">The height of this cell</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#maxRank">maxRank</a></span></code></th>
<td class="colLast">
<div class="block">The maximum rank this cell occupies</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#minRank">minRank</a></span></code></th>
<td class="colLast">
<div class="block">The minimum rank this cell occupies</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.util.List&lt;<a href="mxGraphAbstractHierarchyCell.html" title="class in import hk.quantr.mxgraph.layout.hierarchical.model">mxGraphAbstractHierarchyCell</a>&gt;[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#nextLayerConnectedCells">nextLayerConnectedCells</a></span></code></th>
<td class="colLast">
<div class="block">A cached version of the cells this cell connects to on the next layer up</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected java.util.List&lt;<a href="mxGraphAbstractHierarchyCell.html" title="class in import hk.quantr.mxgraph.layout.hierarchical.model">mxGraphAbstractHierarchyCell</a>&gt;[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#previousLayerConnectedCells">previousLayerConnectedCells</a></span></code></th>
<td class="colLast">
<div class="block">A cached version of the cells this cell connects to on the next layer down</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#temp">temp</a></span></code></th>
<td class="colLast">
<div class="block">Temporary variable for general use.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#width">width</a></span></code></th>
<td class="colLast">
<div class="block">The width of this cell</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>double[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#x">x</a></span></code></th>
<td class="colLast">
<div class="block">The x position of this cell for each layer it occupies</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>double[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#y">y</a></span></code></th>
<td class="colLast">
<div class="block">The y position of this cell for each layer it occupies</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">mxGraphAbstractHierarchyCell</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>abstract int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getGeneralPurposeVariable(int)">getGeneralPurposeVariable</a></span>&#8203;(int&nbsp;layer)</code></th>
<td class="colLast">
<div class="block">Gets the value of temp for the specified layer</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>abstract java.util.List&lt;<a href="mxGraphAbstractHierarchyCell.html" title="class in import hk.quantr.mxgraph.layout.hierarchical.model">mxGraphAbstractHierarchyCell</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getNextLayerConnectedCells(int)">getNextLayerConnectedCells</a></span>&#8203;(int&nbsp;layer)</code></th>
<td class="colLast">
<div class="block">Returns the cells this cell connects to on the next layer up</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>abstract java.util.List&lt;<a href="mxGraphAbstractHierarchyCell.html" title="class in import hk.quantr.mxgraph.layout.hierarchical.model">mxGraphAbstractHierarchyCell</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPreviousLayerConnectedCells(int)">getPreviousLayerConnectedCells</a></span>&#8203;(int&nbsp;layer)</code></th>
<td class="colLast">
<div class="block">Returns the cells this cell connects to on the next layer down</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getX(int)">getX</a></span>&#8203;(int&nbsp;layer)</code></th>
<td class="colLast">
<div class="block">Gets the value of x on the specified layer</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>abstract boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isEdge()">isEdge</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>abstract boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isVertex()">isVertex</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>abstract void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setGeneralPurposeVariable(int,int)">setGeneralPurposeVariable</a></span>&#8203;(int&nbsp;layer,
                         int&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Set the value of temp for the specified layer</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setX(int,double)">setX</a></span>&#8203;(int&nbsp;layer,
    double&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Set the value of x for the specified layer</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setY(int,double)">setY</a></span>&#8203;(int&nbsp;layer,
    double&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Set the value of y for the specified layer</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="maxRank">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>maxRank</h4>
<pre>public&nbsp;int maxRank</pre>
<div class="block">The maximum rank this cell occupies</div>
</li>
</ul>
<a id="minRank">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>minRank</h4>
<pre>public&nbsp;int minRank</pre>
<div class="block">The minimum rank this cell occupies</div>
</li>
</ul>
<a id="x">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>x</h4>
<pre>public&nbsp;double[] x</pre>
<div class="block">The x position of this cell for each layer it occupies</div>
</li>
</ul>
<a id="y">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>y</h4>
<pre>public&nbsp;double[] y</pre>
<div class="block">The y position of this cell for each layer it occupies</div>
</li>
</ul>
<a id="width">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>width</h4>
<pre>public&nbsp;double width</pre>
<div class="block">The width of this cell</div>
</li>
</ul>
<a id="height">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>height</h4>
<pre>public&nbsp;double height</pre>
<div class="block">The height of this cell</div>
</li>
</ul>
<a id="nextLayerConnectedCells">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>nextLayerConnectedCells</h4>
<pre>protected&nbsp;java.util.List&lt;<a href="mxGraphAbstractHierarchyCell.html" title="class in import hk.quantr.mxgraph.layout.hierarchical.model">mxGraphAbstractHierarchyCell</a>&gt;[] nextLayerConnectedCells</pre>
<div class="block">A cached version of the cells this cell connects to on the next layer up</div>
</li>
</ul>
<a id="previousLayerConnectedCells">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>previousLayerConnectedCells</h4>
<pre>protected&nbsp;java.util.List&lt;<a href="mxGraphAbstractHierarchyCell.html" title="class in import hk.quantr.mxgraph.layout.hierarchical.model">mxGraphAbstractHierarchyCell</a>&gt;[] previousLayerConnectedCells</pre>
<div class="block">A cached version of the cells this cell connects to on the next layer down</div>
</li>
</ul>
<a id="temp">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>temp</h4>
<pre>public&nbsp;int[] temp</pre>
<div class="block">Temporary variable for general use. Generally, try to avoid
 carrying information between stages. Currently, the longest
 path layering sets temp to the rank position in fixRanks()
 and the crossing reduction uses this. This meant temp couldn't
 be used for hashing the nodes in the model dfs and so hashCode
 was created</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mxGraphAbstractHierarchyCell</h4>
<pre>public&nbsp;mxGraphAbstractHierarchyCell()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getNextLayerConnectedCells(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNextLayerConnectedCells</h4>
<pre class="methodSignature">public abstract&nbsp;java.util.List&lt;<a href="mxGraphAbstractHierarchyCell.html" title="class in import hk.quantr.mxgraph.layout.hierarchical.model">mxGraphAbstractHierarchyCell</a>&gt;&nbsp;getNextLayerConnectedCells&#8203;(int&nbsp;layer)</pre>
<div class="block">Returns the cells this cell connects to on the next layer up</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>layer</code> - the layer this cell is on</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the cells this cell connects to on the next layer up</dd>
</dl>
</li>
</ul>
<a id="getPreviousLayerConnectedCells(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPreviousLayerConnectedCells</h4>
<pre class="methodSignature">public abstract&nbsp;java.util.List&lt;<a href="mxGraphAbstractHierarchyCell.html" title="class in import hk.quantr.mxgraph.layout.hierarchical.model">mxGraphAbstractHierarchyCell</a>&gt;&nbsp;getPreviousLayerConnectedCells&#8203;(int&nbsp;layer)</pre>
<div class="block">Returns the cells this cell connects to on the next layer down</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>layer</code> - the layer this cell is on</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the cells this cell connects to on the next layer down</dd>
</dl>
</li>
</ul>
<a id="isEdge()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isEdge</h4>
<pre class="methodSignature">public abstract&nbsp;boolean&nbsp;isEdge()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>whether or not this cell is an edge</dd>
</dl>
</li>
</ul>
<a id="isVertex()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isVertex</h4>
<pre class="methodSignature">public abstract&nbsp;boolean&nbsp;isVertex()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>whether or not this cell is a node</dd>
</dl>
</li>
</ul>
<a id="getGeneralPurposeVariable(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGeneralPurposeVariable</h4>
<pre class="methodSignature">public abstract&nbsp;int&nbsp;getGeneralPurposeVariable&#8203;(int&nbsp;layer)</pre>
<div class="block">Gets the value of temp for the specified layer</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>layer</code> - the layer relating to a specific entry into temp</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value for that layer</dd>
</dl>
</li>
</ul>
<a id="setGeneralPurposeVariable(int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGeneralPurposeVariable</h4>
<pre class="methodSignature">public abstract&nbsp;void&nbsp;setGeneralPurposeVariable&#8203;(int&nbsp;layer,
                                               int&nbsp;value)</pre>
<div class="block">Set the value of temp for the specified layer</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>layer</code> - the layer relating to a specific entry into temp</dd>
<dd><code>value</code> - the value for that layer</dd>
</dl>
</li>
</ul>
<a id="setX(int,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setX</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setX&#8203;(int&nbsp;layer,
                 double&nbsp;value)</pre>
<div class="block">Set the value of x for the specified layer</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>layer</code> - the layer relating to a specific entry into x[]</dd>
<dd><code>value</code> - the x value for that layer</dd>
</dl>
</li>
</ul>
<a id="getX(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getX</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;getX&#8203;(int&nbsp;layer)</pre>
<div class="block">Gets the value of x on the specified layer</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>layer</code> - the layer to obtain x for</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of x on the specified layer</dd>
</dl>
</li>
</ul>
<a id="setY(int,double)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setY</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setY&#8203;(int&nbsp;layer,
                 double&nbsp;value)</pre>
<div class="block">Set the value of y for the specified layer</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>layer</code> - the layer relating to a specific entry into y[]</dd>
<dd><code>value</code> - the y value for that layer</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxGraphAbstractHierarchyCell.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
